Subject: DFT with ECP's

From: [email-masked] (JirKa Kozelka)
Date: Sun, 23 Jun 1996 17:02:24 +0200 (MET DST)

Dear netters:

some time ago I asked the following question:

*****
Hello readers,

recently, several CCL members asked about using effective core potentials 
in DFT calculations. They were advised to the recent article by Russo et al.
(J.Phys.Chem.1995,1705). In this paper, DFT calculations using HF-derived
ECP's 
were compared with all-electron calculations.                                 

(SORRY, THE REFERENCE SHOULD BE J.Phys.Chem.1995, 17085)
      
I do not understand one point: For both approaches, the authors utilized a 
common all-electron basis set. It is not clear to me how one can use ECP's 
together with an all-electron basis.
Since ECP calculations treat only valence electrons explicitely, the procedure
of using ECP's with an all-electron basis set looks to my simple mind like
filling valence electrons into core orbitals.
Could one of the quantum chemistry professionals show me where I am making a
mistake?
Thanking you in advance,

Jirka Kozelka
[email-masked]
fax: ++331-42-86-83-87
******

I have received the following two answers:

******
ANSWER 1

Dear Jirka Kozelka:

	The employment of all electron basis set with ECP does not
invoke the problem you mentioned because there are some projection
operators in the ECP so that the valence electrons cannot
collapse into core region. Actually the all-electron basis
need not to be used for ECP calculations but be employed
to make a reasonable comparison between all-electron and
ECP calculations without the problem due to the use of
the different basis set having different quality.

Hope this give some help to you.

Sincerely yours,

				Sang Yeon Lee.
				[email-masked]

******
ANSWER 2

Hi,

This is a rather save way in ECP vs. all-electron benchmark comparisons
of making sure that your ECP valence basis and
the all-electron basis you want to compare are really identical
in the valence space. If your ECP works properly, you cannot
get any significant population of the core-like basis functions, as
the ECP projector will prevent the filling of core orbitals.

Obviously, however, this procedure is not what you want to do
for production work, as then your ECP approximation does not
provide any savings in computational resources ;-)
(on the contrary, one has to compute additional ECP integrals that run
over the whole all-electron basis)

Hope this helps.
Regards, Martin Kaupp

------------------------------------------------------------------
| Dr. Martin Kaupp                                               |
| Max-Planck-Institut fuer Festkoerperforschung,                 |
| Heisenbergstrasse 1, D-70569 Stuttgart, Germany,               |
| Tel.: country-code+711/689-1532                                |
| Fax.: country-code+711/689-1562                                |
| email: [email-masked]                       |
|                                                                |
| and Institut fuer Theoretische Chemie, Universitaet Stuttgart, |
| Pfaffenwaldring 55, D-70569 Stuttgart, Germany                 |
| Tel.: country-code+711/685-4399                                |
| Fax.: country-code+711/685-4442                                |
| http://www.theochem.uni-stuttgart.de/~kaupp/                   |
------------------------------------------------------------------

*******

I thank both contributors for their replies.

In some discussions I had since, I have been warned that using HF orbital
basis sets for DFT calculations does not warrant resonable results.
I would appreciate any comment of collegues who have experience with
HF or DFT calculations on 3rd row transition elements.

Jirka Kozelka